Get a YouTube channel
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/exploration/channels/{channelId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/exploration/channels/{channelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/exploration/channels/{channelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"channelId": "<string>",
"title": "<string>",
"handle": "<string>",
"imageUrl": "<string>",
"subscribers": 123,
"country": "<string>",
"topics": [
"<string>"
],
"contentThemes": [
"<string>"
],
"recentTitles": [
"<string>"
]
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Audience Exploration
Get a YouTube channel
What a channel makes, its topics and its latest videos.
Scope: exploration:read.
GET
/
exploration
/
channels
/
{channelId}
Get a YouTube channel
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/exploration/channels/{channelId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/exploration/channels/{channelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/exploration/channels/{channelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"channelId": "<string>",
"title": "<string>",
"handle": "<string>",
"imageUrl": "<string>",
"subscribers": 123,
"country": "<string>",
"topics": [
"<string>"
],
"contentThemes": [
"<string>"
],
"recentTitles": [
"<string>"
]
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
An API key from Settings → API access, starting with fnd_.
Path Parameters
YouTube channel id, e.g. UCX6OQ3DkcsbYNE6H8uQQuVA.
Pattern:
^UC[A-Za-z0-9_-]{22}$Response
Success

